LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAlterView Interface Reference

implements the possibility to alter aspects of a view's definition More...

`import"XAlterView.idl";`

Inheritance diagram for XAlterView:

## Public Member Functions
void | alterCommand ([in] string NewCommand) raises ( ::com::sun::star::sdbc::SQLException )
| changes the command which constitutes the view More...

## Detailed Description

implements the possibility to alter aspects of a view's definition

Since
  OOo 2.4

## Member Function Documentation

## ◆ alterCommand()

void alterCommand | ( | [in] string | NewCommand | ) |
raises | ( | ::com::sun::star::sdbc::SQLException
| ) |  |

changes the command which constitutes the view

The operation should be atomic.

Parameters

  NewCommand | the new command which the view should be based on. Usually an `SELECT` statement.

Exceptions

  com::sun::star::sdbc::SQLException | if an error occurs

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XAlterView.idl